Module java.base
Package java.security

## Interface PrivilegedAction<T>

    public interface PrivilegedAction<T>

A computation to be performed with privileges enabled. The computation is performed by invoking `AccessController.doPrivileged` on the `PrivilegedAction` object. This interface is used only for computations that do not throw checked exceptions; computations that throw checked exceptions must use `PrivilegedExceptionAction` instead.

See Also:
  `AccessController`, `AccessController.doPrivileged(PrivilegedAction)`, `PrivilegedExceptionAction`

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `run()` Performs the computation.

### Method Detail

#### run

    T run()

Performs the computation. This method will be called by `AccessController.doPrivileged` after enabling privileges.

Returns:
  a class-dependent value that may represent the results of the computation. Each class that implements `PrivilegedAction` should document what (if anything) this value represents.
See Also:
  `AccessController.doPrivileged(PrivilegedAction)`, `AccessController.doPrivileged(PrivilegedAction, AccessControlContext)`